from sqlalchemy import Column, Integer, ForeignKey, DateTime, Boolean
from sqlalchemy.sql import func
from app.db.base import Base

class VehicleOwnership(Base):
    __tablename__ = "vehicle_ownerships"
    __table_args__ = {"schema": "data"}

    id = Column(Integer, primary_key=True, index=True)
    vehicle_id = Column(Integer, ForeignKey("data.vehicles.id"))
    org_id = Column(Integer, ForeignKey("data.organizations.id"))
    
    # Érvényességi időablak
    start_date = Column(DateTime(timezone=True), server_default=func.now())
    end_date = Column(DateTime(timezone=True), nullable=True) # Ha eladja, ide kerül a dátum
    
    is_active = Column(Boolean, default=True)
    
    # Csak ezen az ablakon belüli szervizeket láthatja az aktuális tulajdonos
